Subject: [mpls] I-D Action: draft-ietf-mpls-egress-protection-framework-03.txt

From: [email-masked]
Date: Sat, 20 Oct 2018 11:25:35 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Multiprotocol Label Switching WG of the IETF.

        Title           : MPLS Egress Protection Framework
        Authors         : Yimin Shen
                          Minto Jeyananth
                          Bruno Decraene
                          Hannes Gredler
                          Carsten Michel
                          Huaimo Chen
                          Yuanlong Jiang
	Filename        : draft-ietf-mpls-egress-protection-framework-03.txt
	Pages           : 28
	Date            : 2018-10-20

Abstract:
   This document specifies a fast reroute framework for protecting IP/
   MPLS services and MPLS transport tunnels against egress node and
   egress link failures.  In this framework, the penultimate-hop router
   of an MPLS tunnel acts as the point of local repair (PLR) for an
   egress node failure, and the egress router of the MPLS tunnel acts as
   the PLR for an egress link failure.  Each of them pre-establishes a
   bypass tunnel to a protector.  Upon an egress node or link failure,
   the corresponding PLR performs local failure detection and local
   repair, by rerouting packets over the corresponding bypass tunnel.
   The protector in turn performs context label switching or context IP
   forwarding to send the packets to the ultimate service
   destination(s).  This mechanism can be used to reduce traffic loss
   before global repair reacts to the failure and control plane
   protocols converge on the topology changes due to the failure.  The
   framework is applicable to all types of IP/MPLS services and MPLS
   tunnels.  Under the framework, service protocol extensions may be
   further specified to support service label distribution from an
   egress router to a protector.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-mpls-egress-protection-framework/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-mpls-egress-protection-framework-03
https://datatracker.ietf.org/doc/html/draft-ietf-mpls-egress-protection-framework-03

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-mpls-egress-protection-framework-03

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/